@keyframes overlay_background {
  from {
    background-color: rgba(0, 0, 0, 0);
  }
  to {
    background-color: rgba(0, 0, 0, 0.5);
  }
}

@keyframes modal_slide {
  from {
    transform: translateY(30px);
  }
  to {
    transform: translateY(0);
  }
}

.overlay {
  position: fixed;
  overflow: auto;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 10;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  padding: 30px;
  animation: overlay_background 0.2s forwards;
}

.overlay_click {
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 11;
}

.modal {
  position: relative;
  z-index: 12;
  background-color: white;
  width: 100%;
  max-width: 800px;
  padding: 30px 30px 50px;
  border-radius: 6px;
  animation: modal_slide 0.2s forwards;
}

.close_button {
  appearance: none;
  margin: 0;
  padding: 0;
  border: none;
  text-indent: -200px;
  width: 30px;
  height: 30px;
  top: 10px;
  right: 10px;
  position: absolute;
  cursor: pointer;
  overflow: hidden;
  background: url('../../images/close.svg') no-repeat 50% 50%;
  background-size: 15px;
  opacity: 0.5;

  &:hover {
    opacity: 0.7;
  }
}

.image_wrap {
  position: relative;
  max-width: 100%;
  margin: 0 auto;
}

.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
}

.image_loaded {
  composes: image;
  opacity: 1;
  transition: opacity 0.2s ease-out;
}

.title_group {
  margin-bottom: 30px;
  text-align: center;
}

.title {
  font-size: 24px;
  line-height: 1.4;
}

.date {
  color: darkgrey;
  font-size: 18px;
  margin-top: 5px;
}

.alt {
  margin-top: 20px;
  line-height: 1.4;
  background-color: #fff7e0;
  color: #2b2b2b;
  font-size: 18px;
  margin: 40px -30px -50px;
  padding: 20px 30px;
  border-radius: 0 0 6px 6px;
}
